summaryrefslogtreecommitdiff
path: root/.sandstorm/build.sh
diff options
context:
space:
mode:
authorJacob Weisz <ocdtrekkie@noreply@mills.io>2022-09-24 05:29:27 +0000
committerJames Mills <james@mills.io>2022-09-24 05:29:27 +0000
commit70fbc8c7b0d65fd71878520e5cb14e4a494137fa (patch)
tree33ee4a923fd9647e056304a755d775517fd34592 /.sandstorm/build.sh
parent29f278459156f7bd9aec225ed78706d18e001c56 (diff)
Add Sandstorm packaging files (#26)
I am not quite done here, I need to finish some of the packaging metadata, and I am going to maybe take a pass at permissions prior to release. Opening the pull request so you can easily track the progress. Note that Sandstorm app metadata is supposed to be less than 1 MB total, so I optimized your screenshots. I dare you to tell the difference with the naked eye. Co-authored-by: Jacob Weisz <inbox@jacobweisz.com> Reviewed-on: https://git.mills.io/prologic/tube/pulls/26 Co-authored-by: Jacob Weisz <ocdtrekkie@noreply@mills.io> Co-committed-by: Jacob Weisz <ocdtrekkie@noreply@mills.io>
Diffstat (limited to '.sandstorm/build.sh')
-rw-r--r--.sandstorm/build.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.sandstorm/build.sh b/.sandstorm/build.sh
new file mode 100644
index 0000000..a6b3bd1
--- /dev/null
+++ b/.sandstorm/build.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -euo pipefail
+
+cd /opt/app
+if [ ! -e go.mod ]; then
+ printf "Error: This directory does not contain a go module;\n"
+ printf "vagrant-spk's golang stack does not support older GOPATH\n"
+ printf "based projects. Try running:\n" >&2
+ printf "\n" >&2
+ printf " vagrant-spk vm ssh\n" >&2
+ printf " cd /opt/app\n" >&2
+ printf " go mod init example.com/mypkg\n" >&2
+ exit 1
+fi
+go build -o tube
+exit 0